import UserType from "../enums/UserType";

export default class SessionUser {
	public readonly userId:number;
	public readonly userType:UserType;
	public readonly validityPeriod:Date;

	constructor(userId:number, userType: UserType, validityPeriod:Date) {
		this.userId = userId;
		this.userType = userType;
		this.validityPeriod = validityPeriod;
	}
}